List purchase order lines
Retrieve a paginated list of line items for a specific purchase order
GET
/
admin
/
api
/
v1
/
purchases
/
purchase-orders
/
{purchase_order_id}
/
lines
List purchase order lines
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/purchases/purchase-orders/{purchase_order_id}/lines \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/purchase-orders/{purchase_order_id}/lines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/purchase-orders/{purchase_order_id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/purchase-orders/{purchase_order_id}/lines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"name": "Big Vision 4K Action Camera - Telephoto Lens",
"state": "purchase",
"sort": 1,
"qty_received_method": "stock_move",
"display_type": null,
"product_qty": 100,
"product_uom_qty": 100,
"product_packaging_qty": 0,
"price_tax": 1500,
"discount": 0,
"price_unit": 100,
"price_subtotal": 10000,
"price_total": 11500,
"qty_invoiced": 100,
"qty_received": 100,
"qty_received_manual": 0,
"qty_to_invoice": 0,
"is_downpayment": false,
"planned_at": "2026-01-08T12:53:43.000000Z",
"product_description_variants": null,
"propagate_cancel": false,
"price_total_cc": 0,
"uom_id": 1,
"product_id": 4,
"product_packaging_id": null,
"order_id": 1,
"partner_id": 41,
"currency_id": 1,
"company_id": 1,
"creator_id": 1,
"final_location_id": 12,
"order_point_id": null,
"created_at": "2026-01-08T12:55:43.000000Z",
"updated_at": "2026-01-08T12:56:47.000000Z"
},
{
"id": 1,
"name": "Big Vision 4K Action Camera - Telephoto Lens",
"state": "purchase",
"sort": 1,
"qty_received_method": "stock_move",
"display_type": null,
"product_qty": 100,
"product_uom_qty": 100,
"product_packaging_qty": 0,
"price_tax": 1500,
"discount": 0,
"price_unit": 100,
"price_subtotal": 10000,
"price_total": 11500,
"qty_invoiced": 100,
"qty_received": 100,
"qty_received_manual": 0,
"qty_to_invoice": 0,
"is_downpayment": false,
"planned_at": "2026-01-08T12:53:43.000000Z",
"product_description_variants": null,
"propagate_cancel": false,
"price_total_cc": 0,
"uom_id": 1,
"product_id": 4,
"product_packaging_id": null,
"order_id": 1,
"partner_id": 41,
"currency_id": 1,
"company_id": 1,
"creator_id": 1,
"final_location_id": 12,
"order_point_id": null,
"created_at": "2026-01-08T12:55:43.000000Z",
"updated_at": "2026-01-08T12:56:47.000000Z"
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
List purchase order lines
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/purchases/purchase-orders/{purchase_order_id}/lines \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/purchase-orders/{purchase_order_id}/lines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/purchase-orders/{purchase_order_id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/purchase-orders/{purchase_order_id}/lines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": 1,
"name": "Big Vision 4K Action Camera - Telephoto Lens",
"state": "purchase",
"sort": 1,
"qty_received_method": "stock_move",
"display_type": null,
"product_qty": 100,
"product_uom_qty": 100,
"product_packaging_qty": 0,
"price_tax": 1500,
"discount": 0,
"price_unit": 100,
"price_subtotal": 10000,
"price_total": 11500,
"qty_invoiced": 100,
"qty_received": 100,
"qty_received_manual": 0,
"qty_to_invoice": 0,
"is_downpayment": false,
"planned_at": "2026-01-08T12:53:43.000000Z",
"product_description_variants": null,
"propagate_cancel": false,
"price_total_cc": 0,
"uom_id": 1,
"product_id": 4,
"product_packaging_id": null,
"order_id": 1,
"partner_id": 41,
"currency_id": 1,
"company_id": 1,
"creator_id": 1,
"final_location_id": 12,
"order_point_id": null,
"created_at": "2026-01-08T12:55:43.000000Z",
"updated_at": "2026-01-08T12:56:47.000000Z"
},
{
"id": 1,
"name": "Big Vision 4K Action Camera - Telephoto Lens",
"state": "purchase",
"sort": 1,
"qty_received_method": "stock_move",
"display_type": null,
"product_qty": 100,
"product_uom_qty": 100,
"product_packaging_qty": 0,
"price_tax": 1500,
"discount": 0,
"price_unit": 100,
"price_subtotal": 10000,
"price_total": 11500,
"qty_invoiced": 100,
"qty_received": 100,
"qty_received_manual": 0,
"qty_to_invoice": 0,
"is_downpayment": false,
"planned_at": "2026-01-08T12:53:43.000000Z",
"product_description_variants": null,
"propagate_cancel": false,
"price_total_cc": 0,
"uom_id": 1,
"product_id": 4,
"product_packaging_id": null,
"order_id": 1,
"partner_id": 41,
"currency_id": 1,
"company_id": 1,
"creator_id": 1,
"final_location_id": 12,
"order_point_id": null,
"created_at": "2026-01-08T12:55:43.000000Z",
"updated_at": "2026-01-08T12:56:47.000000Z"
}
],
"links": {
"first": "/?page=1",
"last": "/?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/",
"per_page": 10,
"to": 2,
"total": 2
}
}{
"message": "Unauthenticated."
}